Update a specific service territory and its associated talent pools
Update a specific service territory and its associated talent pools
access_token OAuth 2.0 Access Token
In: query
Service Territory UUID
application/json
Service Territory update payload
TypeScript Definitions
Use the request body type in TypeScript.
curl -X PUT "https://api-sandbox.fndev.net/api/rest/v2/service-territories/string_value" \ -H "Content-Type: application/json" \ -d '{ "name": "Southwest Territory", "project_id": 17705, "display_name": "SW Region", "attributes": [ { "name": "coverage_radius", "value": "50" } ] }'{
"id": "uuid",
"name": "Territory Name",
"service_territory_id": "1",
"project_id": 100,
"tiers": [],
"attributes": [],
"provider_count": 0
}{
"status": 400,
"message": "Validation failed: field 'title' is required"
}{
"status": 500,
"message": "Operation successful."
}{
"status": 403,
"message": "You do not have permission to access this work order"
}{
"status_code": 404,
"message": "Work order not found"
}{
"status": 500,
"message": "An unexpected error occurred. Please try again later or contact support."
}application/json
application/json
application/json
application/json
application/json
application/json
Last updated on
Name of the service territory
Project ID associated with this service territory
Display name of the service territory
Array of attributes for this service territory (upserted on create/update)